package com.ssj.bean.kmt.kmt.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "kmt_course")
public class KmtCourse extends BaseEntity {

	/**     
	 **wwww     
	/**     
	 **     
	 */
	private static final long serialVersionUID = 1L;      
	
	
	private String teacherId;

	private String courseTime;
	
	private String week;
	
	private String startTime;
	
	private String endTime;
	
	private String courseTmplateId;
	
	private String courseKnowId;
	
	private Integer state;
	
	private Date createTime;
	
	private String vipId;
	private String lessonServiceId;//一对一辅导表id
	private Integer courseType; //0:试听课,1:正式课
	private Integer planStatus; //计划状态 1未支付 2家长支付；3确定上课意向；4上课；5反馈
	private Integer num; //自增标识 从1开始
	private Integer isFinish;//是否完成学习计划任务 0:未完成 1:已完成
	private Date callTime; //打卡时间
	private String callLng;//打卡经度
	private String callLat;//打卡纬度
	private String callMsg;//打卡信息
	private Date confirmTime; //老师确认上课时间
	private Integer isApply;//0:未申请调课 1:已申请调课
	
	private String teacherLever;//注册老师/明星老师/学霸老师
	private String teacherType;//兼职/全职
	
    private Integer classLine; //课堂纪律评星
	
	private Integer studyActive; //学习主动性评星
	
	private String teacherSay; //老师评语
	
	private Date feedbackTime;//反馈时间
	
	private Integer parentJudgeLever; //家长评价评星
	
	private String judgeLable; //评价标签
	
	private Date judgeTime; //家长评价时间
	
	private Date parentViewTime; //家长查看时间
	
	private String applyTeacherId;//申请更换老师id
	
	private String refuseReason; //调课或换老师拒绝理由
	/**
	 * 组备课id
	 */
	private String groupCourseId;

	private int isGroup;//0:一对一下单类型，1:小课下单类型
	private int signInOff;//签到状态 0:未签到，1：已签到,2：已签离(废弃，只有签到)

	public String getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(String teacherId) {
		this.teacherId = teacherId;
	}


	public String getCourseTime() {
		return courseTime;
	}

	public void setCourseTime(String courseTime) {
		this.courseTime = courseTime;
	}

	public String getWeek() {
		return week;
	}

	public void setWeek(String week) {
		this.week = week;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public String getCourseTmplateId() {
		return courseTmplateId;
	}

	public void setCourseTmplateId(String courseTmplateId) {
		this.courseTmplateId = courseTmplateId;
	}

	public String getCourseKnowId() {
		return courseKnowId;
	}

	public void setCourseKnowId(String courseKnowId) {
		this.courseKnowId = courseKnowId;
	}

	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getVipId() {
		return vipId;
	}

	public void setVipId(String vipId) {
		this.vipId = vipId;
	}

	public String getLessonServiceId() {
		return lessonServiceId;
	}

	public void setLessonServiceId(String lessonServiceId) {
		this.lessonServiceId = lessonServiceId;
	}

	

	public Date getCallTime() {
		return callTime;
	}

	public void setCallTime(Date callTime) {
		this.callTime = callTime;
	}

	public String getCallLng() {
		return callLng;
	}

	public void setCallLng(String callLng) {
		this.callLng = callLng;
	}

	public String getCallLat() {
		return callLat;
	}

	public void setCallLat(String callLat) {
		this.callLat = callLat;
	}

	public String getCallMsg() {
		return callMsg;
	}

	public void setCallMsg(String callMsg) {
		this.callMsg = callMsg;
	}

	public Date getConfirmTime() {
		return confirmTime;
	}

	public void setConfirmTime(Date confirmTime) {
		this.confirmTime = confirmTime;
	}

	public Integer getCourseType() {
		return courseType;
	}

	public void setCourseType(Integer courseType) {
		this.courseType = courseType;
	}

	public Integer getPlanStatus() {
		return planStatus;
	}

	public void setPlanStatus(Integer planStatus) {
		this.planStatus = planStatus;
	}

	public Integer getNum() {
		return num;
	}

	public void setNum(Integer num) {
		this.num = num;
	}

	public Integer getIsFinish() {
		return isFinish;
	}

	public void setIsFinish(Integer isFinish) {
		this.isFinish = isFinish;
	}

	public Integer getIsApply() {
		return isApply;
	}

	public void setIsApply(Integer isApply) {
		this.isApply = isApply;
	}

	public String getTeacherLever() {
		return teacherLever;
	}

	public void setTeacherLever(String teacherLever) {
		this.teacherLever = teacherLever;
	}

	public String getTeacherType() {
		return teacherType;
	}

	public void setTeacherType(String teacherType) {
		this.teacherType = teacherType;
	}

	public Integer getClassLine() {
		return classLine;
	}

	public void setClassLine(Integer classLine) {
		this.classLine = classLine;
	}

	public Integer getStudyActive() {
		return studyActive;
	}

	public void setStudyActive(Integer studyActive) {
		this.studyActive = studyActive;
	}

	public String getTeacherSay() {
		return teacherSay;
	}

	public void setTeacherSay(String teacherSay) {
		this.teacherSay = teacherSay;
	}

	public Date getFeedbackTime() {
		return feedbackTime;
	}

	public void setFeedbackTime(Date feedbackTime) {
		this.feedbackTime = feedbackTime;
	}

	public Integer getParentJudgeLever() {
		return parentJudgeLever;
	}

	public void setParentJudgeLever(Integer parentJudgeLever) {
		this.parentJudgeLever = parentJudgeLever;
	}

	public String getJudgeLable() {
		return judgeLable;
	}

	public void setJudgeLable(String judgeLable) {
		this.judgeLable = judgeLable;
	}

	public Date getJudgeTime() {
		return judgeTime;
	}

	public void setJudgeTime(Date judgeTime) {
		this.judgeTime = judgeTime;
	}

	public Date getParentViewTime() {
		return parentViewTime;
	}

	public void setParentViewTime(Date parentViewTime) {
		this.parentViewTime = parentViewTime;
	}

	public String getApplyTeacherId() {
		return applyTeacherId;
	}

	public void setApplyTeacherId(String applyTeacherId) {
		this.applyTeacherId = applyTeacherId;
	}
	
	public String getRefuseReason() {
		return refuseReason;
	}

	public void setRefuseReason(String refuseReason) {
		this.refuseReason = refuseReason;
	}

	public String getGroupCourseId() {
		return groupCourseId;
	}

	public void setGroupCourseId(String groupCourseId) {
		this.groupCourseId = groupCourseId;
	}

	public int getIsGroup() {
		return isGroup;
	}

	public void setIsGroup(int isGroup) {
		this.isGroup = isGroup;
	}

	public int getSignInOff() {
		return signInOff;
	}

	public void setSignInOff(int signInOff) {
		this.signInOff = signInOff;
	}

}
